<?php
/**
 * Backstretch 是一款动态调整大小的背景图效果的插件。
 * 
 * @package Backstretch
 * @author 冰剑
 * @version 1.0.0
 * @link http://www.binjoo.net/
 */
class Backstretch_Plugin implements Typecho_Plugin_Interface{
    public static function activate() {
        Typecho_Plugin::factory('Widget_Archive')->header = array('Backstretch_Plugin', 'headlink');
        Typecho_Plugin::factory('Widget_Archive')->footer = array('Backstretch_Plugin', 'footlink');
    }
    public static function deactivate(){}
    public static function config(Typecho_Widget_Helper_Form $form){
        $jqueryCDN= new Typecho_Widget_Helper_Form_Element_Radio('jqueryCDN',
            array('true' => '是',
                  'false' => '否'),
                  'false', 'Google CDN jQuery库','如果主题本身已经引用了jQuery库，那么请无视此选项。');
        $form->addInput($jqueryCDN);

		$duration = new Typecho_Widget_Helper_Form_Element_Text('duration', NULL, '3000', _t('持续时间'), _t('多张图片时，每张显示的时间。'));
        $duration->input->setAttribute('class', 'mini');
		$form->addInput($duration);

		$fade = new Typecho_Widget_Helper_Form_Element_Text('fade', NULL, '750', _t('淡入淡出'), _t('多张图片时，每张切换的时间。'));
        $fade->input->setAttribute('class', 'mini');
		$form->addInput($fade);

        $images = new Typecho_Widget_Helper_Form_Element_Textarea('images', NULL, NULL, '图片地址', '每行一张图片地址。');
        $form->addInput($images);
    }
    public static function personalConfig(Typecho_Widget_Helper_Form $form){} 
    public static function headlink($cssUrl) {
        $Settings = Helper::options()->plugin('Backstretch');
        if($Settings->jqueryCDN != "false"){
            $links = '<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.2.6/jquery.min.js"></script>';
			echo $links;
        }
    }
    public static function footlink($links) {
        $settings = Helper::options()->plugin('Backstretch');
        $url = Helper::options()->pluginUrl .'/Backstretch/';
        $links= '<script type="text/javascript" src="'.$url.'jquery.backstretch.min.js"></script>';
        $links.= '<script type="text/javascript">';
        $links.= '$.backstretch(['.self::imageUrls().'], {duration: '.$settings->duration.', fade: '.$settings->fade.'});';
        $links.= '</script>';
        echo $links;
    }
	function imageUrls() {
		$images = Helper::options()->plugin('Backstretch')->images;
		$images = explode("\n", $images);
        $result = "";
		foreach ($images as $key=>$val) {
            $url = trim($val);
			if($key != '0'){
				$result .= ' ,';
			}
			$result .= '"' . $url . '"';
        }
        return $result;
	}
}